org.apache.fop.area

## Class OffDocumentExtensionAttachment

- java.lang.Object
- - org.apache.fop.area.OffDocumentExtensionAttachment

All Implemented Interfaces:
  OffDocumentItem

    public class OffDocumentExtensionAttachment
    extends Object
    implements OffDocumentItem

This class wraps ExtensionAttachments which cannot be transported inside the area tree but need to be handled in the AreaTreeHandler. These attachments are schedules for processing before the first page-sequence, i.e. at the start of the document.

### Field Summary

### Fields inherited from interface org.apache.fop.area.OffDocumentItem

`AFTER_PAGE, END_OF_DOC, IMMEDIATELY`

### Constructor Summary

Constructors
Constructor and Description
`OffDocumentExtensionAttachment(ExtensionAttachment attachment)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`ExtensionAttachment` `getAttachment()`
`String` `getName()` Return a human-readable name for this ODI (for error messages, etc.)
`int` `getWhenToProcess()` Get an indicator of when this item should be processed

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OffDocumentExtensionAttachment

    public OffDocumentExtensionAttachment(ExtensionAttachment attachment)

Main constructor

Parameters:
  `attachment` - the extension attachment to wrap.

### Method Detail

#### getAttachment

    public ExtensionAttachment getAttachment()

Returns:
  the extension attachment.

#### getWhenToProcess

    public int getWhenToProcess()

Get an indicator of when this item should be processed

Specified by:
  `getWhenToProcess` in interface `OffDocumentItem`
Returns:
  int constant (IMMEDIATELY, AFTER_PAGE, END_OF_DOC)

#### getName

    public String getName()

Return a human-readable name for this ODI (for error messages, etc.)

Specified by:
  `getName` in interface `OffDocumentItem`
Returns:
  String name of ODI